import { JavaObject } from '../../../java/lang/JavaObject';
export declare class BetriebListeEintrag extends JavaObject {
    id: Number | null;
    adressArt: Number | null;
    name1: String | null;
    strassenname: String | null;
    hausnr: String | null;
    hausnrzusatz: String | null;
    ort_id: Number | null;
    branche: String | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): BetriebListeEintrag;
    static transpilerToJSON(obj: BetriebListeEintrag): string;
    static transpilerToJSONPatch(obj: Partial<BetriebListeEintrag>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_betrieb_BetriebListeEintrag(obj: unknown): BetriebListeEintrag;
